<?php

add_action( 'init', 'helya_register_pattern_categories' );

function helya_register_pattern_categories() {
	register_block_pattern_category(
		'helya-templates',
		array(
			'label'       => __( 'helya Templates', 'helya' ),
			'description' => __( 'Page templates for the helya theme.', 'helya' ),
		)
	);
}


require get_template_directory() . '/includes/welcome/welcome-init.php';

require get_template_directory() . '/includes/upgrade-upsell.php';


function helya_theme_enqueue_styles()
{
    wp_enqueue_style(
        'helya_theme-primary-css',
        get_template_directory_uri() . '/resources/css/primary.css',
        array(),
        wp_get_theme()->get('Version'),
        'all'
    );
}

add_action('wp_enqueue_scripts', 'helya_theme_enqueue_styles');

 function helya_theme_js_script()
{

   
    wp_enqueue_script(
        '_theme-primary-js',
        get_template_directory_uri() . '/resources/js/primary.js',
        array(),
        wp_get_theme()->get('Version'),
        true 
    );


}
add_action('wp_enqueue_scripts', 'helya_theme_js_script');

